'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d1efcaa6.js');

const wrAccordionGroupCss = ":host{display:block}";

let WrAccordionGroup = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * This prop makes the group act as collapsible.
     * Thus you can open all at the same time.
     */
    this.isCollapse = false;
  }
  componentDidLoad() {
    this.accordions = Array.from(this.host.querySelectorAll('wr-accordion'));
    this.accordions.forEach(a => index.forceUpdate(a));
  }
  async closeChildren() {
    this.accordions.forEach(child => child.closeMe());
  }
  accordionOpened(e) {
    if (e.detail !== 'processed' || this.isCollapse) {
      return;
    }
    this.accordions.forEach(el => {
      if (el !== e.target) {
        el.closeMe();
      }
    });
  }
  render() {
    return (index.h(index.Host, null, index.h("slot", null)));
  }
  get host() { return index.getElement(this); }
};
WrAccordionGroup.style = wrAccordionGroupCss;

exports.wr_accordion_group = WrAccordionGroup;
