import { Component, Element, forceUpdate, h, Host, Listen, Method, Prop } from '@stencil/core';
export class WrAccordionGroup {
  constructor() {
    /**
     * This prop makes the group act as collapsible.
     * Thus you can open all at the same time.
     */
    this.isCollapse = false;
  }
  componentDidLoad() {
    this.accordions = Array.from(this.host.querySelectorAll('wr-accordion'));
    this.accordions.forEach(a => forceUpdate(a));
  }
  async closeChildren() {
    this.accordions.forEach(child => child.closeMe());
  }
  accordionOpened(e) {
    if (e.detail !== 'processed' || this.isCollapse) {
      return;
    }
    this.accordions.forEach(el => {
      if (el !== e.target) {
        el.closeMe();
      }
    });
  }
  render() {
    return (h(Host, null,
      h("slot", null)));
  }
  static get is() { return "wr-accordion-group"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["wr-accordion-group.css"]
  }; }
  static get styleUrls() { return {
    "$": ["wr-accordion-group.css"]
  }; }
  static get properties() { return {
    "isCollapse": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "This prop makes the group act as collapsible.\nThus you can open all at the same time."
      },
      "attribute": "is-collapse",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
  static get methods() { return {
    "closeChildren": {
      "complexType": {
        "signature": "() => Promise<void>",
        "parameters": [],
        "references": {
          "Promise": {
            "location": "global"
          }
        },
        "return": "Promise<void>"
      },
      "docs": {
        "text": "",
        "tags": []
      }
    }
  }; }
  static get elementRef() { return "host"; }
  static get listeners() { return [{
      "name": "accordionOpened",
      "method": "accordionOpened",
      "target": undefined,
      "capture": false,
      "passive": false
    }]; }
}
