import { Component, h, Prop } from '@stencil/core';
import chroma from 'chroma-js';
export class WrBigQuote {
  constructor() {
    this.getQuoteColor = () => {
      if (!chroma.valid(this.quoteColor)) {
        return '#faaf40';
      }
      return this.quoteColor;
    };
  }
  render() {
    return (h("blockquote", { class: ['big-quote', this.isDark ? 'dark' : ''].join(' ') },
      this.renderQuote(),
      h("section", { class: 'quote' },
        h("slot", null),
        this.renderQuote()),
      this.renderAuthor()));
  }
  renderQuote() {
    return (h("svg", { width: '85', height: '56', viewBox: '0 0 85 56', fill: 'none', xmlns: 'http://www.w3.org/2000/svg', style: {
        color: this.getQuoteColor(),
      } },
      h("path", { d: 'M84.9825 56V0L51.579 25.7895V56H84.9825ZM33.1579 56V0L0 25.7895V56H33.1579Z', fill: 'currentColor' })));
  }
  renderAuthor() {
    return (h("footer", { class: 'author' },
      h("figure", { class: 'author__image' },
        h("img", { src: this.authorImage, alt: '' })),
      h("div", null,
        h("strong", { class: 'author__name' }, this.authorName),
        h("span", { class: 'author__function' }, this.authorFunction))));
  }
  static get is() { return "wr-big-quote"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["wr-big-quote.css"]
  }; }
  static get styleUrls() { return {
    "$": ["wr-big-quote.css"]
  }; }
  static get properties() { return {
    "isDark": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "is-dark",
      "reflect": false
    },
    "quoteColor": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "quote-color",
      "reflect": false
    },
    "authorName": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "author-name",
      "reflect": false
    },
    "authorFunction": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "author-function",
      "reflect": false
    },
    "authorImage": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "author-image",
      "reflect": false
    }
  }; }
}
