import { Component, Element, h, Listen } from '@stencil/core';
import anime from 'animejs';
import { isDivisible } from './utils';
export class WrHighlightGrid {
  onHover(event) {
    let left, top;
    const offsetLeft = event.target.offsetLeft;
    const elementWidth = event.target.clientWidth;
    if (isDivisible(offsetLeft, elementWidth)) {
      left = event.target.offsetLeft;
    }
    else {
      left = event.target.offsetLeft - this.host.offsetLeft;
    }
    if (event.target.offsetParent === this.wrapper) {
      top = event.target.offsetTop;
    }
    else {
      top = event.target.offsetTop - this.host.offsetTop;
    }
    const height = event.target.clientHeight;
    const width = event.target.clientWidth;
    anime({
      easing: 'easeOutCubic',
      targets: this.background,
      left,
      top,
      width,
      height,
      duration: 300,
    });
  }
  ;
  componentDidLoad() {
    this.resizeObserver = new ResizeObserver(() => this.calculateBackgroundSize());
    this.resizeObserver.observe(this.wrapper);
  }
  render() {
    return (h("section", { class: 'highlight-grid group', ref: (el) => this.wrapper = el },
      h("slot", null),
      h("div", { class: 'background', ref: (el) => this.background = el })));
  }
  calculateBackgroundSize(item) {
    if (!item) {
      item = this.host.querySelector('wr-highlight');
    }
    this.wrapper.style.setProperty('--row', `${item.clientHeight}px`);
    this.wrapper.style.setProperty('--column', `${item.clientWidth}px`);
  }
  static get is() { return "wr-highlight-grid"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["wr-highlight-grid.css"]
  }; }
  static get styleUrls() { return {
    "$": ["wr-highlight-grid.css"]
  }; }
  static get elementRef() { return "host"; }
  static get listeners() { return [{
      "name": "hover",
      "method": "onHover",
      "target": undefined,
      "capture": false,
      "passive": false
    }]; }
}
