import { Component, Event, h, Prop } from '@stencil/core';
export class WrHighlight {
  render() {
    return (h("article", { class: 'highlight', onMouseOver: () => this.hover.emit() },
      h("h4", { class: 'highlight__title' }, this.itemTitle),
      h("h5", { class: 'highlight__subtitle' }, this.subTitle),
      h("slot", { name: 'link' })));
  }
  static get is() { return "wr-highlight"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["wr-highlight.css"]
  }; }
  static get styleUrls() { return {
    "$": ["wr-highlight.css"]
  }; }
  static get properties() { return {
    "itemTitle": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "item-title",
      "reflect": false
    },
    "subTitle": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": true,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "sub-title",
      "reflect": false
    }
  }; }
  static get events() { return [{
      "method": "hover",
      "name": "hover",
      "bubbles": true,
      "cancelable": true,
      "composed": true,
      "docs": {
        "tags": [],
        "text": ""
      },
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      }
    }]; }
}
