import { r as registerInstance, f as forceUpdate, h, H as Host, g as getElement } from './index-e41e20bc.js';

const wrAccordionGroupCss = ":host{display:block}";

let WrAccordionGroup = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * This prop makes the group act as collapsible.
     * Thus you can open all at the same time.
     */
    this.isCollapse = false;
  }
  componentDidLoad() {
    this.accordions = Array.from(this.host.querySelectorAll('wr-accordion'));
    this.accordions.forEach(a => forceUpdate(a));
  }
  async closeChildren() {
    this.accordions.forEach(child => child.closeMe());
  }
  accordionOpened(e) {
    if (e.detail !== 'processed' || this.isCollapse) {
      return;
    }
    this.accordions.forEach(el => {
      if (el !== e.target) {
        el.closeMe();
      }
    });
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  get host() { return getElement(this); }
};
WrAccordionGroup.style = wrAccordionGroupCss;

export { WrAccordionGroup as wr_accordion_group };
