import { r as registerInstance, c as createEvent, h, H as Host } from './index-e41e20bc.js';
import { a as anime } from './anime.es-d8ec8d88.js';

const wrNavigationCss = ":host {\n  display: block;\n}\n\n* {\n  -webkit-box-sizing: border-box;\n  box-sizing: border-box;\n}\n\n.navigation {\n  width: 0px;\n  --tw-scale-x: 0;\n  -webkit-transform: var(--tw-transform);\n  transform: var(--tw-transform);\n  overflow: hidden;\n  height: 100vh;\n  width: 100vw;\n  position: fixed;\n  top: 0px;\n  right: 0px;\n  bottom: 0px;\n  left: 0px;\n  display: -ms-flexbox;\n  display: flex;\n  -ms-flex-direction: column;\n  flex-direction: column;\n  --tw-bg-opacity: 1;\n  background-color: rgba(245, 149, 6, var(--tw-bg-opacity));\n  position: fixed;\n  z-index: 40;\n  opacity: 0;\n  overflow: hidden;\n}\n\n.navigation-content {\n  width: 100%;\n  margin-right: auto;\n  margin-left: auto;\n  padding-right: 1.25rem;\n  padding-left: 1.25rem;\n}\n\n@media (min-width: 375px) {\n\n  .navigation-content {\n    max-width: 375px;\n  }\n}\n\n@media (min-width: 480px) {\n\n  .navigation-content {\n    max-width: 480px;\n  }\n}\n\n@media (min-width: 768px) {\n\n  .navigation-content {\n    max-width: 768px;\n  }\n}\n\n@media (min-width: 1024px) {\n\n  .navigation-content {\n    max-width: 1024px;\n  }\n}\n\n@media (min-width: 1280px) {\n\n  .navigation-content {\n    max-width: 1280px;\n  }\n}\n\n.navigation-content {\n  margin-left: auto;\n  margin-right: auto;\n  margin-top: 5rem;\n}\n\n@media (min-width: 768px) {\n\n  .navigation-content {\n    margin-top: 10rem;\n  }\n}\n\n@media (min-width: 1024px) {\n\n  .navigation-content {\n    margin-top: auto;\n  }\n}\n\n.navigation-content {\n  display: -ms-flexbox;\n  display: flex;\n  -ms-flex-direction: column;\n  flex-direction: column;\n}\n\n@media (min-width: 1024px) {\n\n  .navigation-content {\n    -ms-flex-direction: row;\n    flex-direction: row;\n  }\n}\n\n.navigation-content {\n  overflow-x: hidden;\n  overflow-y: scroll;\n\n    scrollbar-width: none;\n}\n\n.navigation-content::-webkit-scrollbar {\n  display: none;\n}\n\n.navigation-content {\n\n    @media (min-width: 1024px) {\n      width: calc(100vw - 2.5rem);\n    }\n  }\n\n@media (min-width: 1024px) {\n\n  .navigation-sidebar {\n    margin-left: auto;\n  }\n\n  .navigation-sidebar {\n    text-align: right;\n  }\n}\n\n.navigation-sidebar {\n  gap: 2rem;\n  display: -ms-flexbox;\n  display: flex;\n  -ms-flex-wrap: wrap;\n  flex-wrap: wrap;\n  margin-top: 3.5rem;\n}\n\n@media (min-width: 1024px) {\n\n  .navigation-sidebar {\n    margin-top: 0px;\n  }\n\n  .navigation-sidebar {\n    -ms-flex-direction: column;\n    flex-direction: column;\n  }\n}\n\n.navigation-sidebar {\n  --tw-text-opacity: 1;\n  color: rgba(255, 255, 255, var(--tw-text-opacity));\n}\n\n@media (min-width: 768px) {\n\n  .navigation-sidebar {\n    max-width: 350px;\n  }\n}\n\n.navigation-sidebar p {\n  margin-top: 0px;\n  margin-bottom: 0px;\n}\n\n.navigation-footer {\n  width: 100%;\n  margin-right: auto;\n  margin-left: auto;\n  padding-right: 1.25rem;\n  padding-left: 1.25rem;\n}\n\n@media (min-width: 375px) {\n\n  .navigation-footer {\n    max-width: 375px;\n  }\n}\n\n@media (min-width: 480px) {\n\n  .navigation-footer {\n    max-width: 480px;\n  }\n}\n\n@media (min-width: 768px) {\n\n  .navigation-footer {\n    max-width: 768px;\n  }\n}\n\n@media (min-width: 1024px) {\n\n  .navigation-footer {\n    max-width: 1024px;\n  }\n}\n\n@media (min-width: 1280px) {\n\n  .navigation-footer {\n    max-width: 1280px;\n  }\n}\n\n.navigation-footer {\n  margin-left: auto;\n  margin-right: auto;\n  margin-top: auto;\n  width: 100%;\n  margin-bottom: 0.5rem;\n}\n\n@media (min-width: 1024px) {\n\n  .navigation-footer {\n    margin-bottom: 1rem;\n  }\n}\n\n.navigation-footer {\n\n    @media (min-width: 1024px) {\n      width: calc(100vw - 2.5rem);\n    }\n  }\n\n.navigation-footer hr {\n  border-top-width: 1px;\n  border-style: solid;\n  border-color: rgba(255, 255, 255, 0.25);\n  margin-top: 0px;\n  margin-bottom: 0px;\n  border-bottom-width: 0px;\n  border-left-width: 0px;\n  border-right-width: 0px;\n}\n\n.navigation-footer__container {\n  padding-top: 0.5rem;\n}\n\n@media (min-width: 1024px) {\n\n  .navigation-footer__container {\n    padding-top: 1rem;\n  }\n}\n";

let WrNavigation = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.navigationToggled = createEvent(this, "navigationToggled", 7);
    this.menuLoaded = createEvent(this, "menuLoaded", 7);
    /**
     * The open state. Managed by event listeners.
     */
    this.isOpen = true;
  }
  componentDidLoad() {
    this.loadAnimation();
    this.menuLoaded.emit();
  }
  /**
   * Setups the animation for the navigation.
   * @protected
   */
  loadAnimation() {
    this.tl = anime.timeline({
      easing: 'easeInCubic',
      duration: 300,
      autoplay: false,
    });
    this.tl.add({
      targets: this.navigationElement,
      opacity: 1,
      duration: 0,
    });
    this.tl.add({
      targets: this.navigationElement,
      width: [0, '100vw'],
    });
    this.tl.add({
      targets: this.menuSlotElement.querySelector('slot').assignedElements(),
      delay: anime.stagger(100),
      translateX: ['-2rem', 0],
      opacity: [0, 1],
    });
    this.tl.add({
      targets: this.footerElement,
      translateY: ['2rem', 0],
      opacity: [0, 1],
    }, '-=300');
    this.tl.add({
      targets: this.sidebarSlotElement.querySelector('slot').assignedElements(),
      delay: anime.stagger(100),
      translateX: ['2rem', 0],
      opacity: [0, 1],
    }, '-=300');
  }
  /**
   * Event listener fired when the 'open' event is fired on this element.
   */
  openNavigationListener() {
    if (!this.isOpen) {
      this.tl.reverse();
    }
    this.tl.restart();
    this.isOpen = true;
    this.navigationToggled.emit('opened');
  }
  /**
   * Event listener fired when the 'close' event is fired on this element.
   */
  closeNavigationListener() {
    if (this.isOpen) {
      this.tl.reverse();
    }
    this.tl.play();
    this.isOpen = false;
    this.navigationToggled.emit('closed');
  }
  render() {
    return (h(Host, null, h("section", { class: 'navigation', ref: (el) => this.navigationElement = el }, h("div", { class: 'navigation-content' }, h("nav", { class: 'navigation-menu', ref: (el) => this.menuSlotElement = el }, h("slot", { name: 'navigation' })), h("aside", { class: 'navigation-sidebar', ref: (el) => this.sidebarSlotElement = el }, h("slot", null))), h("footer", { class: 'navigation-footer', ref: (el) => this.footerElement = el }, h("hr", null), h("div", { class: 'navigation-footer__container' }, h("slot", { name: 'footer' }))))));
  }
};
WrNavigation.style = wrNavigationCss;

export { WrNavigation as wr_navigation };
