export declare class WrCase {
  /**
   * The title for this case.
   */
  caseTitle: string;
  /**
   * The subtitle used in this card.
   */
  caseSubtitle: string;
  /**
   * A css valid color. Preferably hex, will be
   * converted to rgba.
   * @deprecated
   */
  backgroundColor: string;
  /**
   * Used in the conversion to make the color rgba. Is the `a` value
   * @deprecated
   */
  backgroundOpacity: number;
  /**
   * background image URL.
   */
  backgroundImage: string;
  /**
   * Image url for the top image layer.
   */
  topLayer: string;
  /**
   * Image url for the lower layer
   */
  bottomLayer: string;
  /**
   * Permalink to the case.
   */
  href: string;
  /**
   * The card element.
   */
  card: HTMLElement;
  /**
   * The background image Element.
   */
  backgroundImageElement: HTMLElement;
  /**
   * The mockup image element.
   */
  mockupImageElement: HTMLElement;
  /**
   * The accessory image element.
   */
  accessoryImageElement: HTMLElement;
  /**
   * Holds the main Atropos instance.
   */
  atroposElement: HTMLElement;
  private checkForDeprecations;
  componentWillLoad(): void;
  componentDidLoad(): void;
  bindAtropos(): void;
  render(): any;
  protected renderTopLayer(): any;
  protected renderBottomLayer(): any;
  /**
   * Renders the background image if supplied.
   * @protected
   */
  protected renderBackgroundImage(): any;
  /**
   * Calculates the card colors based on the passed background color.
   *
   * @private
   * @noop
   * @deprecated
   */
  private calculateCardColors;
  private checkImagesOrRemove;
}
