import { EventEmitter } from '../../stencil-public-runtime';
import { AnimeTimelineInstance } from 'animejs';
export declare class WrNavigation {
  /**
   * The open state. Managed by event listeners.
   */
  isOpen: boolean;
  /**
   * Event fired when the menu is toggled _and_ animation finished.
   *
   * Fires 'opened' when the navigation is open, and 'closed when the navigation is closed.
   */
  navigationToggled: EventEmitter<'opened' | 'closed'>;
  /**
   * The main navigation element.
   */
  navigationElement: HTMLElement;
  /**
   * The main menu slot container element.
   */
  menuSlotElement: HTMLElement;
  /**
   * The sidebar slot container element.
   */
  sidebarSlotElement: HTMLElement;
  /**
   * The footer element.
   */
  footerElement: HTMLElement;
  /**
   * The timeline instance. Created when the component has loaded to use all elements in slots.
   */
  protected tl: AnimeTimelineInstance;
  componentDidLoad(): void;
  /**
   * Setups the animation for the navigation.
   * @protected
   */
  protected loadAnimation(): void;
  /**
   * Event listener fired when the 'open' event is fired on this element.
   */
  openNavigationListener(): void;
  /**
   * Event listener fired when the 'close' event is fired on this element.
   */
  closeNavigationListener(): void;
  /**
   * This event fires once on load of the navigation.
   */
  menuLoaded: EventEmitter<void>;
  render(): any;
}
