import { Point } from './Point';
export declare class Vector {
  readonly x: any;
  readonly y: any;
  /**
   * Gets a vector to determine direction between two points
   * @param {number} x The direction this vector goes on the x-axis
   * @param {number} y The direction this vector goes on the y-axis
   */
  constructor(x: any, y: any);
  /**
   * Returns a normalized version of this vector (between -1 and 1);
   *
   * @return Point
   */
  get normalized(): Point;
  /**
   * Returns an interval [-1, 1] of this vector.
   *
   * @param {Point} max
   *
   * @returns {Point}
   */
  interval(max: Point): Point;
}
